Detach a Payment Method from a Customer
Detaches a reusable Payment Method from its customer.
After a Payment Method is detached, it can no longer be used for new payments or re-attached to a customer.
Related guide: Payment Methods and tokenization
Path Parameters
- Type: stringidmax length:100required
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/payment_methods/{id}/detach
curl 'https://api.paypercut.io/v1/payment_methods/{id}/detach' \
--request POST \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"type": "card",
"card": {
"cardholder_name": null,
"brand": "string",
"country": null,
"issuer": null,
"display_brand": null,
"network": null,
"exp_month": 1,
"exp_year": 1,
"fingerprint": null,
"funding": "string",
"segment": "string",
"iin": "string",
"last4": "string",
"wallet": {
"dynamic_last4": null,
"type": "apple_pay"
},
"three_d_secure_usage": {
"supported": true
}
},
"billing_details": {
"email": null,
"name": null,
"phone": null,
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
}
},
"billing_address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"metadata": {
"additionalProperty": "string"
},
"customer": "01K755J9SV2364REVHB915Z2FW",
"usage": "on_session",
"reusable": null,
"livemode": true,
"created": "2026-07-28T08:24:41.401Z"
}
